import { Component } from '@angular/core';
import { NavigationEnd, Router } from '@angular/router';
import { filter } from 'rxjs/operators';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss'],
})
export class AppComponent {
  /**
   * Application title.
   */
  title = 'Aktienbot';
  showHeader = false;

  /**
   * Router import to show router-outlet.
   *
   * @param router Router
   */
  constructor(private router: Router) {
    this.router.events
      .pipe(filter((event) => event instanceof NavigationEnd))
      .subscribe((event) => {
        this.showHeader = !(
          (event as NavigationEnd).url === '/login' ||
          (event as NavigationEnd).url === '/register'
        );
      });
  }
}
